• Codeby web-security - Курс "Тестирование Веб-Приложений на проникновение с нуля" от команды codeby. Общая теория, подготовка рабочего окружения, пассивный фазинг и фингерпринт, Активный фаззинг, Уязвимости, Пост-эксплуатация, Инструментальные средства, Social Engeneering и многое другое. Подробнее ...

  • Мобильный клиент нашего форума для Android гаджетов доступен в Google Play Market по этой ссылке. Клиент можно скачать с нашего форума по этой ссылке. Последняя версия МК в нашем телеграм канале вот здесь

Проблема Столкнулся с проблемой установки Plecost на kali и не только!

Topotun

Active member
19.09.2017
27
5
#1
Уважаем форумчане помогите решить проблему в установке Plecost!
Устанавливал на многие версии Linux (kali, Mint, и даже Codeby) алгоритм установки был следующий
apt-get update
apt-get install python3-pip
python3 -m pip install plecost
cd /usr/bin/
rm plecost
ln -s /usr/local/bin/plecost plecost

изначально пробовал еще так:
sudo apt-get install python3-pip python3-dev python3-wheel
sudo python3 -m pip install plecost

после запуска выдает одно и тоже, ну не питона же конд перебирать, думаю какая другая тут загвоздка

Код:
Traceback (most recent call last):
  File "/usr/local/bin/plecost", line 11, in <module>
    sys.exit(main())
  File "/usr/local/lib/python3.6/dist-packages/plecost_lib/__main__.py", line 84, in main
    from .api import run, __version__
  File "/usr/local/lib/python3.6/dist-packages/plecost_lib/api.py", line 51, in <module>
    from .libs.data import PlecostOptions
  File "/usr/local/lib/python3.6/dist-packages/plecost_lib/libs/data.py", line 55, in <module>
    from .utils import get_data_folder
  File "/usr/local/lib/python3.6/dist-packages/plecost_lib/libs/utils.py", line 47, in <module>
    import aiohttp
  File "/usr/local/lib/python3.6/dist-packages/aiohttp/__init__.py", line 6, in <module>
    from .client import *  # noqa
  File "/usr/local/lib/python3.6/dist-packages/aiohttp/client.py", line 15, in <module>
    from . import connector as connector_mod
  File "/usr/local/lib/python3.6/dist-packages/aiohttp/connector.py", line 17, in <module>
    from .client_proto import ResponseHandler
  File "/usr/local/lib/python3.6/dist-packages/aiohttp/client_proto.py", line 6, in <module>
    from .http import HttpResponseParser, StreamWriter
  File "/usr/local/lib/python3.6/dist-packages/aiohttp/http.py", line 8, in <module>
    from .http_parser import (HttpParser, HttpRequestParser, HttpResponseParser,
  File "/usr/local/lib/python3.6/dist-packages/aiohttp/http_parser.py", line 15, in <module>
    from .http_writer import HttpVersion, HttpVersion10
  File "/usr/local/lib/python3.6/dist-packages/aiohttp/http_writer.py", line 304, in <module>
    class URL(yarl.URL):
  File "/usr/local/lib/python3.6/dist-packages/yarl/__init__.py", line 232, in __init_subclass__
    "is forbidden".format(cls))
TypeError: Inheritance a class <class 'aiohttp.http_writer.URL'> from URL is forbidden
уже отписался сегодня в этой теме Ищем уязвимости в WordPress с помощью plecost, но думаю лучше создать новую!
 
Вверх Снизу